package com.plannaplan.repositories;

import java.util.List;

import com.plannaplan.entities.Commision;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

@Repository
public interface CommisionRepository extends JpaRepository<Commision, Long> {
    @Query("FROM Commision WHERE owner_id = ?1")
    List<Commision> getUsers(@Param("owner_id") Long id);

    @Query("FROM Commision WHERE owner_id = ?1 order by commisionDate desc")
    List<Commision> getNewestCommision(@Param("owner_id") Long id);

}
