package com.plannaplan.responses.models;

import java.util.ArrayList;
import java.util.List;

public class GetCourseGroupsResponse <T> {

    private List<T> lectures = new ArrayList<>();
    private List<T> classes = new ArrayList<>();

    public GetCourseGroupsResponse(List<T> classes, List<T> lectures ){
        this.lectures = lectures;
        this.classes = classes;
    }

    public List<T> getClasses() {
        return this.classes;
    }

    public List<T> getLectures() {
        return this.lectures;
    }

}