package com.plannaplan.responses.models;

import com.plannaplan.entities.User;

public class SearchForStudentsResponse {

    private Long id;
    private String name;
    private String surname;
    private String email;

    public SearchForStudentsResponse(User user) {
        this.id = user.getId();
        this.name = user.getName();
        this.surname = user.getSurname();
        this.email = user.getEmail();
    }

    public String getEmail() {
        return email;
    }

    public String getSurname() {
        return surname;
    }

    public String getName() {
        return name;
    }

    public Long getId() {
        return id;
    }

}
