package com.plannaplan.responses.models;

import com.plannaplan.entities.Assignment;
import com.plannaplan.entities.Groups;

public class WithCapacityGroupResponse extends DefaultGroupResponse {

    private int capacity;

    public WithCapacityGroupResponse(Groups group) {
        super(group);
        this.capacity = group.getCapacity();
    }

    public WithCapacityGroupResponse(Assignment assignment) {
        this(assignment.getGroup());
    }

    public int getCapacity() {
        return capacity;
    }

}
