package com.plannaplan.responses.models.abstracts;

import com.plannaplan.entities.Course;

public abstract class CoursesResponse {

    private Long id;
    private String name;

    public CoursesResponse(Course course) {
        this.id = course.getId() != null ? course.getId() : null;
        this.name = course.getName() != null ? course.getName() : "";
    }

    public String getName() {
        return name;
    }

    public Long getId() {
        return id;
    }

}
