package com.plannaplan.models;

import java.util.HashMap;
import java.util.Iterator;
import org.apache.poi.ss.usermodel.Row;

public class FileData {

    private HashMap<String, Integer> keys;
    private Iterator<Row> rows;

    public FileData(HashMap<String, Integer> keys, Iterator<Row> rows) {
        this.keys = keys;
        this.rows = rows;
    }

    public Iterator<Row> getRows() {
        return rows;
    }

    public void setRows(Iterator<Row> rows) {
        this.rows = rows;
    }

    public HashMap<String, Integer> getKeys() {
        return keys;
    }

    public void setKeys(HashMap<String, Integer> keys) {
        this.keys = keys;
    }

    public int getIndexOf(String key) {
        int index = this.keys.get(key);
        return index;
    }

}