package com.plannaplan.repositories;

import java.util.List;

import com.plannaplan.entities.Assignment;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

@Repository
public interface AssignmentRepository extends JpaRepository<Assignment, Long> {

    @Query("FROM Assignment WHERE commision_id = ?1")
    List<Assignment> getByCommision(@Param("commision_id") Long id);

}