package com.plannaplan.services;

import java.util.List;

import com.plannaplan.entities.Assignment;
import com.plannaplan.entities.Commision;
import com.plannaplan.repositories.AssignmentRepository;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class AssignmentService {
    @Autowired
    private AssignmentRepository repo;

    public AssignmentService() {
    }

    public void save(Assignment assignment) {
        this.repo.save(assignment);
    }

    public List<Assignment> getCommisionAssignments(Commision com) {
        return this.repo.getByCommision(com.getId());
    }

    public long getAssignmentsAmmount() {
        return this.repo.count();
    }
}