package com.plannaplan.services;

import com.plannaplan.models.ConfigData;
import com.plannaplan.models.FileData;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.plannaplan.configutils.*;

@Component
public class ConfiguratorService {

    @Autowired
    private FileToDatabaseMigrator migrator;

    public ConfiguratorService() {
    }

    public void config(ConfigData data) {
        FileReader reader = new FileReader(data.getFilestream());
        FileData coursesData = reader.read();
        migrator.migrate(coursesData);
    }

}