package com.plannaplan.responses.mappers;

import static org.junit.jupiter.api.Assertions.assertTrue;

import java.util.Arrays;
import java.util.List;

import com.plannaplan.entities.Commision;
import com.plannaplan.responses.models.CommisionResponse;

import org.junit.Test;

public class CommisionResponseMappersTest {
    @Test
    public void shouldMapListWithEntityToListOfResponses() {
        final List<Commision> coms = Arrays.asList(new Commision(null), new Commision(null));
        final List<CommisionResponse> resposne = CommisionResponseMappers.mapToResponse(coms);

        assertTrue(resposne.get(0) instanceof CommisionResponse);
        assertTrue(resposne.get(0).getCommisionDate().equals(coms.get(0).getCommisionDate()));
        assertTrue(resposne.get(1).getCommisionDate().equals(coms.get(1).getCommisionDate()));
    }
}
