package com.plannaplan.responses.models;

import static org.junit.jupiter.api.Assertions.assertTrue;

import com.plannaplan.entities.Course;

import org.junit.Test;

public class GetCoursesResponseTest {
    @Test
    public void shouldMapFilledCourse() {
        final Course course = new Course("Test", "XD");
        final GetCoursesResponse response = new GetCoursesResponse(course);

        assertTrue(response.getId() == null);
        assertTrue(response.getName().equals("Test"));
    }

    @Test
    public void shouldMapEmptyCourse() {
        final Course course = new Course();
        final GetCoursesResponse response = new GetCoursesResponse(course);

        assertTrue(response.getId() == null);
        assertTrue(response.getName().equals(""));
    }
}
