package com.plannaplan.responses.models;

import static org.junit.jupiter.api.Assertions.assertTrue;

import com.plannaplan.entities.User;
import com.plannaplan.types.UserRoles;

import org.junit.Test;

public class SearchForStudentsResponseTest {
    private static final String NAME = "Tytus";
    private static final String SURNAMENAME = "Romek";
    private static final String EMAIL = "i@Atomek.pl";

    @Test
    public void shouldMapUserToResponseElement() {
        final SearchForStudentsResponse response = new SearchForStudentsResponse(
                new User(NAME, SURNAMENAME, EMAIL, UserRoles.TEST_USER));
        assertTrue(response.getName().equals(NAME));
        assertTrue(response.getSurname().equals(SURNAMENAME));
        assertTrue(response.getEmail().equals(EMAIL));
    }
}
